from openlayer import Openlayer
client = Openlayer()
document = client.governance.frameworks.documents.retrieve(
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
framework_id="5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b",
)
print(document.title)import Openlayer from 'openlayer';
const client = new Openlayer();
const document = await client.governance.frameworks.documents.retrieve('7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e', {
frameworkId: '5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b',
});
console.log(document);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
document, err := client.Governance.Frameworks.Documents.Get(
context.TODO(),
"5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b",
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.Title)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.governance.frameworks.documents.DocumentRetrieveParams;
import com.openlayer.api.models.governance.frameworks.documents.DocumentRetrieveResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
DocumentRetrieveParams params = DocumentRetrieveParams.builder()
.frameworkId("5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b")
.documentId("7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e")
.build();
DocumentRetrieveResponse document = client.governance().frameworks().documents().retrieve(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
document = openlayer.governance.frameworks.documents.retrieve(
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
framework_id: "5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b"
)
puts(document)
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/documents/4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b \
--header 'Authorization: Bearer <token>'
{
"id": "4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b",
"frameworkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "EU AI Act -- Regulation (EU) 2024/1689",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"sections": [
{
"id": "2e4f6a8c-9b1d-4c3e-8f5a-7b9c0d1e2f3a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "Article 9",
"title": "Risk management system",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
],
"subsections": [
{
"id": "1d3f5a7b-8c9e-4b2d-9f6a-0c1e2d3f4a5b",
"sectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "9.2",
"title": "Identification of known and foreseeable risks",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
]
}
]
}
]
}{
"code": 123,
"error": "<string>"
}Retrieve a framework document
Retrieve a framework document with its sections and rules.
from openlayer import Openlayer
client = Openlayer()
document = client.governance.frameworks.documents.retrieve(
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
framework_id="5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b",
)
print(document.title)import Openlayer from 'openlayer';
const client = new Openlayer();
const document = await client.governance.frameworks.documents.retrieve('7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e', {
frameworkId: '5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b',
});
console.log(document);
package main
import (
"context"
"fmt"
"github.com/openlayer-ai/openlayer-go"
)
client := openlayer.NewClient()
document, err := client.Governance.Frameworks.Documents.Get(
context.TODO(),
"5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b",
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", document.Title)
import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.governance.frameworks.documents.DocumentRetrieveParams;
import com.openlayer.api.models.governance.frameworks.documents.DocumentRetrieveResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
DocumentRetrieveParams params = DocumentRetrieveParams.builder()
.frameworkId("5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b")
.documentId("7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e")
.build();
DocumentRetrieveResponse document = client.governance().frameworks().documents().retrieve(params);
require "openlayer"
openlayer = Openlayer::Client.new(api_key: ENV["OPENLAYER_API_KEY"])
document = openlayer.governance.frameworks.documents.retrieve(
"7b8c9d0e-1f2a-4b3c-9d4e-5f6a7b8c9d0e",
framework_id: "5e6f7a8b-9c0d-4e1f-8a2b-3c4d5e6f7a8b"
)
puts(document)
curl --request GET \
--url https://api.openlayer.com/v1/frameworks/9f1b3c2d-4e5a-4f60-8a71-2b3c4d5e6f70/documents/4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b \
--header 'Authorization: Bearer <token>'
{
"id": "4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b",
"frameworkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "EU AI Act -- Regulation (EU) 2024/1689",
"dateCreated": "2026-03-22T11:31:01.185Z",
"dateUpdated": "2026-03-22T11:31:01.185Z",
"sections": [
{
"id": "2e4f6a8c-9b1d-4c3e-8f5a-7b9c0d1e2f3a",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "Article 9",
"title": "Risk management system",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
],
"subsections": [
{
"id": "1d3f5a7b-8c9e-4b2d-9f6a-0c1e2d3f4a5b",
"sectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "9.2",
"title": "Identification of known and foreseeable risks",
"sortOrder": 0,
"text": "<string>",
"ruleCount": 1,
"rules": [
{
"id": "<unknown>",
"name": "<unknown>",
"scope": "<unknown>",
"type": "<unknown>",
"description": "<unknown>",
"evidenceType": "<unknown>",
"renewalCadenceDays": "<unknown>",
"automationType": "<unknown>",
"automationParams": "<unknown>",
"deactivated": "<unknown>",
"immutable": "<unknown>",
"dateCreated": "<unknown>",
"dateUpdated": "<unknown>"
}
]
}
]
}
]
}{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The framework id.
The framework document id.
Response
Status OK.
The text of the standard a framework is based on, split into sections and subsections, with the rules mapped to each part.
The document id.
"4a6c8e0f-1b2d-4e3f-9a5b-6c7d8e9f0a1b"
The framework the document belongs to.
The document title.
512"EU AI Act -- Regulation (EU) 2024/1689"
The creation date.
"2026-03-22T11:31:01.185Z"
The last update date.
"2026-03-22T11:31:01.185Z"
The document's sections, in display order. Only returned when retrieving a single document.
Show child attributes
Show child attributes
Was this page helpful?